---
title: '<xsl:key>'
slug: Web/XSLT/Element/key
tags:
  - Element
  - Key
  - Reference
  - XSLT
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:key&gt;</code> element declares a named key which can be used elsewhere in the stylesheet with the <code>key( )</code> function.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:key name=NAME match=EXPRESSION
	use=EXPRESSION /&gt; </pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>Specifies a name for this key. Must be a QName.</dd>
 <dt><code>match</code></dt>
 <dd>Defines the nodes for which this key is applicable.</dd>
 <dt><code>use</code></dt>
 <dd>Specifies an XPath expression that will be used to determine the value of the key for each of the applicable nodes.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Top-level, must be the child of <code>&lt;xsl:stylesheet&gt;</code> or <code>&lt;xsl:transform&gt;</code>.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 12.2.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
